#!/bin/sh

ip link set down $INTERFACE

{% if tinc_bridge_name %}
brctl delif {{ tinc_bridge_name }} $INTERFACE
{% else %}
ip addr del {{ ips[inventory_hostname] }}/{{ ip_maskbits }} dev $INTERFACE
{% endif %}

# Remove Routes
{% for host in groups['all'] %}
{% if host != inventory_hostname and 'subnets' in hostvars[host] %}
{% for subnet in hostvars[host]['subnets'] %}
ip route del {{ subnet['cidr'] }} via {{ ips[host] }} metric {% if 'metric' in subnet %}{{ subnet['metric'] }}{% else %}5{% endif %} dev $INTERFACE
{% endfor %}
{% endif %}
{% endfor %}
